Bullet Collision Detection & Physics Library: btGeneric6DofSpring2ConstraintData Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btGeneric6DofSpring2ConstraintData Struct Reference

`#include <btGeneric6DofSpring2Constraint.h>`

Collaboration diagram for btGeneric6DofSpring2ConstraintData:
[legend]

## Public Attributes
btTypedConstraintData | m_typeConstraintData
btTransformFloatData | m_rbAFrame
btTransformFloatData | m_rbBFrame
btVector3FloatData | m_linearUpperLimit
btVector3FloatData | m_linearLowerLimit
btVector3FloatData | m_linearBounce
btVector3FloatData | m_linearStopERP
btVector3FloatData | m_linearStopCFM
btVector3FloatData | m_linearMotorERP
btVector3FloatData | m_linearMotorCFM
btVector3FloatData | m_linearTargetVelocity
btVector3FloatData | m_linearMaxMotorForce
btVector3FloatData | m_linearServoTarget
btVector3FloatData | m_linearSpringStiffness
btVector3FloatData | m_linearSpringDamping
btVector3FloatData | m_linearEquilibriumPoint
char | m_linearEnableMotor [4]
char | m_linearServoMotor [4]
char | m_linearEnableSpring [4]
char | m_linearSpringStiffnessLimited [4]
char | m_linearSpringDampingLimited [4]
char | m_padding1 [4]
btVector3FloatData | m_angularUpperLimit
btVector3FloatData | m_angularLowerLimit
btVector3FloatData | m_angularBounce
btVector3FloatData | m_angularStopERP
btVector3FloatData | m_angularStopCFM
btVector3FloatData | m_angularMotorERP
btVector3FloatData | m_angularMotorCFM
btVector3FloatData | m_angularTargetVelocity
btVector3FloatData | m_angularMaxMotorForce
btVector3FloatData | m_angularServoTarget
btVector3FloatData | m_angularSpringStiffness
btVector3FloatData | m_angularSpringDamping
btVector3FloatData | m_angularEquilibriumPoint
char | m_angularEnableMotor [4]
char | m_angularServoMotor [4]
char | m_angularEnableSpring [4]
char | m_angularSpringStiffnessLimited [4]
char | m_angularSpringDampingLimited [4]
int | m_rotateOrder

## Detailed Description

Definition at line 495 of file btGeneric6DofSpring2Constraint.h.

## Member Data Documentation

## ◆ m_angularBounce

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_angularBounce

Definition at line 523 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularEnableMotor

char btGeneric6DofSpring2ConstraintData::m_angularEnableMotor[4]

Definition at line 534 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularEnableSpring

char btGeneric6DofSpring2ConstraintData::m_angularEnableSpring[4]

Definition at line 536 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularEquilibriumPoint

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_angularEquilibriumPoint

Definition at line 533 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularLowerLimit

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_angularLowerLimit

Definition at line 522 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularMaxMotorForce

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_angularMaxMotorForce

Definition at line 529 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularMotorCFM

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_angularMotorCFM

Definition at line 527 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularMotorERP

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_angularMotorERP

Definition at line 526 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularServoMotor

char btGeneric6DofSpring2ConstraintData::m_angularServoMotor[4]

Definition at line 535 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularServoTarget

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_angularServoTarget

Definition at line 530 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularSpringDamping

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_angularSpringDamping

Definition at line 532 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularSpringDampingLimited

char btGeneric6DofSpring2ConstraintData::m_angularSpringDampingLimited[4]

Definition at line 538 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularSpringStiffness

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_angularSpringStiffness

Definition at line 531 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularSpringStiffnessLimited

char btGeneric6DofSpring2ConstraintData::m_angularSpringStiffnessLimited[4]

Definition at line 537 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularStopCFM

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_angularStopCFM

Definition at line 525 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularStopERP

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_angularStopERP

Definition at line 524 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularTargetVelocity

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_angularTargetVelocity

Definition at line 528 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_angularUpperLimit

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_angularUpperLimit

Definition at line 521 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearBounce

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_linearBounce

Definition at line 503 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearEnableMotor

char btGeneric6DofSpring2ConstraintData::m_linearEnableMotor[4]

Definition at line 514 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearEnableSpring

char btGeneric6DofSpring2ConstraintData::m_linearEnableSpring[4]

Definition at line 516 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearEquilibriumPoint

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_linearEquilibriumPoint

Definition at line 513 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearLowerLimit

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_linearLowerLimit

Definition at line 502 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearMaxMotorForce

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_linearMaxMotorForce

Definition at line 509 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearMotorCFM

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_linearMotorCFM

Definition at line 507 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearMotorERP

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_linearMotorERP

Definition at line 506 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearServoMotor

char btGeneric6DofSpring2ConstraintData::m_linearServoMotor[4]

Definition at line 515 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearServoTarget

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_linearServoTarget

Definition at line 510 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearSpringDamping

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_linearSpringDamping

Definition at line 512 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearSpringDampingLimited

char btGeneric6DofSpring2ConstraintData::m_linearSpringDampingLimited[4]

Definition at line 518 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearSpringStiffness

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_linearSpringStiffness

Definition at line 511 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearSpringStiffnessLimited

char btGeneric6DofSpring2ConstraintData::m_linearSpringStiffnessLimited[4]

Definition at line 517 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearStopCFM

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_linearStopCFM

Definition at line 505 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearStopERP

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_linearStopERP

Definition at line 504 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearTargetVelocity

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_linearTargetVelocity

Definition at line 508 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_linearUpperLimit

btVector3FloatData btGeneric6DofSpring2ConstraintData::m_linearUpperLimit

Definition at line 501 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_padding1

char btGeneric6DofSpring2ConstraintData::m_padding1[4]

Definition at line 519 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_rbAFrame

btTransformFloatData btGeneric6DofSpring2ConstraintData::m_rbAFrame

Definition at line 498 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_rbBFrame

btTransformFloatData btGeneric6DofSpring2ConstraintData::m_rbBFrame

Definition at line 499 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_rotateOrder

int btGeneric6DofSpring2ConstraintData::m_rotateOrder

Definition at line 540 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_typeConstraintData

btTypedConstraintData btGeneric6DofSpring2ConstraintData::m_typeConstraintData

Definition at line 497 of file btGeneric6DofSpring2Constraint.h.

The documentation for this struct was generated from the following file:

- btGeneric6DofSpring2Constraint.h